##### 7.5.21.0. testLocData

Procedure from library `olga.lib` (see olga_lib).

Usage:
  testLocData(locType, locData), int locType,
  list/vector/intvec locData

Purpose:
  test if the given data specifies a denominator set wrt. the checks from locStatus

Assume:

Return:
  nothing

Note:
  throws error if checks were not successful

Example:

    LIB "olga.lib";
    ring R; setring R;
    testLocData(0, list(1)); // correct localization, no error
    testLocData(42, list(1)); // incorrect localization, results in error
    ==>    ? invalid localization: type is 42, valid types are:
    ==> 0 for a monoidal localization
    ==> 1 for a geometric localization
    ==> 2 for a rational localization
    ==>    ? leaving olga.lib::testLocData (0)

User manual for Singular version 4.4.1, 2025, generated by texi2html.